llvm.org GIT mirror llvm / a93e770
Regenerate configure after r75279. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@75280 91177308-0d34-0410-b5e6-96231b3b80d8 Jeffrey Yasskin 11 years ago
2 changed file(s) with 595 addition(s) and 25 deletion(s). Raw diff Collapse all Expand all
909909 LLVMGCC
910910 LLVMGXX
911911 USE_UDIS86
912 USE_OPROFILE
912913 HAVE_PTHREAD
913914 HUGE_VAL_SANITY
914915 ALLOCA
15951596 both]
15961597 --with-tags[=TAGS] include additional configurations [automatic]
15971598 --with-udis86= Use udis86 external x86 disassembler library
1599 --with-oprofile=
1600 Tell OProfile >= 0.9.4 how to symbolize JIT output
15981601
15991602 Some influential environment variables:
16001603 CC C compiler command
1089810901 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1089910902 lt_status=$lt_dlunknown
1090010903 cat > conftest.$ac_ext <
10901 #line 10902 "configure"
10904 #line 10905 "configure"
1090210905 #include "confdefs.h"
1090310906
1090410907 #if HAVE_DLFCN_H
1304213045 ;;
1304313046 *-*-irix6*)
1304413047 # Find out which ABI we are using.
13045 echo '#line 13046 "configure"' > conftest.$ac_ext
13048 echo '#line 13049 "configure"' > conftest.$ac_ext
1304613049 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1304713050 (eval $ac_compile) 2>&5
1304813051 ac_status=$?
1476014763 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1476114764 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1476214765 -e 's:$: $lt_compiler_flag:'`
14763 (eval echo "\"\$as_me:14764: $lt_compile\"" >&5)
14766 (eval echo "\"\$as_me:14767: $lt_compile\"" >&5)
1476414767 (eval "$lt_compile" 2>conftest.err)
1476514768 ac_status=$?
1476614769 cat conftest.err >&5
14767 echo "$as_me:14768: \$? = $ac_status" >&5
14770 echo "$as_me:14771: \$? = $ac_status" >&5
1476814771 if (exit $ac_status) && test -s "$ac_outfile"; then
1476914772 # The compiler can only warn and ignore the option if not recognized
1477014773 # So say no if there are warnings other than the usual output.
1502815031 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1502915032 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1503015033 -e 's:$: $lt_compiler_flag:'`
15031 (eval echo "\"\$as_me:15032: $lt_compile\"" >&5)
15034 (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
1503215035 (eval "$lt_compile" 2>conftest.err)
1503315036 ac_status=$?
1503415037 cat conftest.err >&5
15035 echo "$as_me:15036: \$? = $ac_status" >&5
15038 echo "$as_me:15039: \$? = $ac_status" >&5
1503615039 if (exit $ac_status) && test -s "$ac_outfile"; then
1503715040 # The compiler can only warn and ignore the option if not recognized
1503815041 # So say no if there are warnings other than the usual output.
1513215135 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1513315136 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1513415137 -e 's:$: $lt_compiler_flag:'`
15135 (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
15138 (eval echo "\"\$as_me:15139: $lt_compile\"" >&5)
1513615139 (eval "$lt_compile" 2>out/conftest.err)
1513715140 ac_status=$?
1513815141 cat out/conftest.err >&5
15139 echo "$as_me:15140: \$? = $ac_status" >&5
15142 echo "$as_me:15143: \$? = $ac_status" >&5
1514015143 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1514115144 then
1514215145 # The compiler can only warn and ignore the option if not recognized
1758417587 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1758517588 lt_status=$lt_dlunknown
1758617589 cat > conftest.$ac_ext <
17587 #line 17588 "configure"
17590 #line 17591 "configure"
1758817591 #include "confdefs.h"
1758917592
1759017593 #if HAVE_DLFCN_H
1768417687 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1768517688 lt_status=$lt_dlunknown
1768617689 cat > conftest.$ac_ext <
17687 #line 17688 "configure"
17690 #line 17691 "configure"
1768817691 #include "confdefs.h"
1768917692
1769017693 #if HAVE_DLFCN_H
2005220055 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2005320056 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2005420057 -e 's:$: $lt_compiler_flag:'`
20055 (eval echo "\"\$as_me:20056: $lt_compile\"" >&5)
20058 (eval echo "\"\$as_me:20059: $lt_compile\"" >&5)
2005620059 (eval "$lt_compile" 2>conftest.err)
2005720060 ac_status=$?
2005820061 cat conftest.err >&5
20059 echo "$as_me:20060: \$? = $ac_status" >&5
20062 echo "$as_me:20063: \$? = $ac_status" >&5
2006020063 if (exit $ac_status) && test -s "$ac_outfile"; then
2006120064 # The compiler can only warn and ignore the option if not recognized
2006220065 # So say no if there are warnings other than the usual output.
2015620159 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2015720160 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2015820161 -e 's:$: $lt_compiler_flag:'`
20159 (eval echo "\"\$as_me:20160: $lt_compile\"" >&5)
20162 (eval echo "\"\$as_me:20163: $lt_compile\"" >&5)
2016020163 (eval "$lt_compile" 2>out/conftest.err)
2016120164 ac_status=$?
2016220165 cat out/conftest.err >&5
20163 echo "$as_me:20164: \$? = $ac_status" >&5
20166 echo "$as_me:20167: \$? = $ac_status" >&5
2016420167 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2016520168 then
2016620169 # The compiler can only warn and ignore the option if not recognized
2172621729 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2172721730 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2172821731 -e 's:$: $lt_compiler_flag:'`
21729 (eval echo "\"\$as_me:21730: $lt_compile\"" >&5)
21732 (eval echo "\"\$as_me:21733: $lt_compile\"" >&5)
2173021733 (eval "$lt_compile" 2>conftest.err)
2173121734 ac_status=$?
2173221735 cat conftest.err >&5
21733 echo "$as_me:21734: \$? = $ac_status" >&5
21736 echo "$as_me:21737: \$? = $ac_status" >&5
2173421737 if (exit $ac_status) && test -s "$ac_outfile"; then
2173521738 # The compiler can only warn and ignore the option if not recognized
2173621739 # So say no if there are warnings other than the usual output.
2183021833 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2183121834 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2183221835 -e 's:$: $lt_compiler_flag:'`
21833 (eval echo "\"\$as_me:21834: $lt_compile\"" >&5)
21836 (eval echo "\"\$as_me:21837: $lt_compile\"" >&5)
2183421837 (eval "$lt_compile" 2>out/conftest.err)
2183521838 ac_status=$?
2183621839 cat out/conftest.err >&5
21837 echo "$as_me:21838: \$? = $ac_status" >&5
21840 echo "$as_me:21841: \$? = $ac_status" >&5
2183821841 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2183921842 then
2184021843 # The compiler can only warn and ignore the option if not recognized
2406524068 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2406624069 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2406724070 -e 's:$: $lt_compiler_flag:'`
24068 (eval echo "\"\$as_me:24069: $lt_compile\"" >&5)
24071 (eval echo "\"\$as_me:24072: $lt_compile\"" >&5)
2406924072 (eval "$lt_compile" 2>conftest.err)
2407024073 ac_status=$?
2407124074 cat conftest.err >&5
24072 echo "$as_me:24073: \$? = $ac_status" >&5
24075 echo "$as_me:24076: \$? = $ac_status" >&5
2407324076 if (exit $ac_status) && test -s "$ac_outfile"; then
2407424077 # The compiler can only warn and ignore the option if not recognized
2407524078 # So say no if there are warnings other than the usual output.
2433324336 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2433424337 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2433524338 -e 's:$: $lt_compiler_flag:'`
24336 (eval echo "\"\$as_me:24337: $lt_compile\"" >&5)
24339 (eval echo "\"\$as_me:24340: $lt_compile\"" >&5)
2433724340 (eval "$lt_compile" 2>conftest.err)
2433824341 ac_status=$?
2433924342 cat conftest.err >&5
24340 echo "$as_me:24341: \$? = $ac_status" >&5
24343 echo "$as_me:24344: \$? = $ac_status" >&5
2434124344 if (exit $ac_status) && test -s "$ac_outfile"; then
2434224345 # The compiler can only warn and ignore the option if not recognized
2434324346 # So say no if there are warnings other than the usual output.
2443724440 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2443824441 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2443924442 -e 's:$: $lt_compiler_flag:'`
24440 (eval echo "\"\$as_me:24441: $lt_compile\"" >&5)
24443 (eval echo "\"\$as_me:24444: $lt_compile\"" >&5)
2444124444 (eval "$lt_compile" 2>out/conftest.err)
2444224445 ac_status=$?
2444324446 cat out/conftest.err >&5
24444 echo "$as_me:24445: \$? = $ac_status" >&5
24447 echo "$as_me:24448: \$? = $ac_status" >&5
2444524448 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2444624449 then
2444724450 # The compiler can only warn and ignore the option if not recognized
2851928522
2852028523 cat >>confdefs.h <<_ACEOF
2852128524 #define USE_UDIS86 $USE_UDIS86
28525 _ACEOF
28526
28527
28528
28529 # Check whether --with-oprofile was given.
28530 if test "${with_oprofile+set}" = set; then
28531 withval=$with_oprofile;
28532 USE_OPROFILE=1
28533
28534 case "$withval" in
28535 /usr|yes) llvm_cv_oppath=/usr/lib/oprofile ;;
28536 *) llvm_cv_oppath="${withval}/lib/oprofile"
28537 CPPFLAGS="-I${withval}/include";;
28538 esac
28539 LIBS="$LIBS -L${llvm_cv_oppath} -Wl,-rpath,${llvm_cv_oppath}"
28540 { echo "$as_me:$LINENO: checking for library containing op_open_agent" >&5
28541 echo $ECHO_N "checking for library containing op_open_agent... $ECHO_C" >&6; }
28542 if test "${ac_cv_search_op_open_agent+set}" = set; then
28543 echo $ECHO_N "(cached) $ECHO_C" >&6
28544 else
28545 ac_func_search_save_LIBS=$LIBS
28546 cat >conftest.$ac_ext <<_ACEOF
28547 /* confdefs.h. */
28548 _ACEOF
28549 cat confdefs.h >>conftest.$ac_ext
28550 cat >>conftest.$ac_ext <<_ACEOF
28551 /* end confdefs.h. */
28552
28553 /* Override any GCC internal prototype to avoid an error.
28554 Use char because int might match the return type of a GCC
28555 builtin and then its argument prototype would still apply. */
28556 #ifdef __cplusplus
28557 extern "C"
28558 #endif
28559 char op_open_agent ();
28560 int
28561 main ()
28562 {
28563 return op_open_agent ();
28564 ;
28565 return 0;
28566 }
28567 _ACEOF
28568 for ac_lib in '' opagent; do
28569 if test -z "$ac_lib"; then
28570 ac_res="none required"
28571 else
28572 ac_res=-l$ac_lib
28573 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
28574 fi
28575 rm -f conftest.$ac_objext conftest$ac_exeext
28576 if { (ac_try="$ac_link"
28577 case "(($ac_try" in
28578 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28579 *) ac_try_echo=$ac_try;;
28580 esac
28581 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28582 (eval "$ac_link") 2>conftest.er1
28583 ac_status=$?
28584 grep -v '^ *+' conftest.er1 >conftest.err
28585 rm -f conftest.er1
28586 cat conftest.err >&5
28587 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28588 (exit $ac_status); } &&
28589 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
28590 { (case "(($ac_try" in
28591 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28592 *) ac_try_echo=$ac_try;;
28593 esac
28594 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28595 (eval "$ac_try") 2>&5
28596 ac_status=$?
28597 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28598 (exit $ac_status); }; } &&
28599 { ac_try='test -s conftest$ac_exeext'
28600 { (case "(($ac_try" in
28601 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28602 *) ac_try_echo=$ac_try;;
28603 esac
28604 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28605 (eval "$ac_try") 2>&5
28606 ac_status=$?
28607 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28608 (exit $ac_status); }; }; then
28609 ac_cv_search_op_open_agent=$ac_res
28610 else
28611 echo "$as_me: failed program was:" >&5
28612 sed 's/^/| /' conftest.$ac_ext >&5
28613
28614
28615 fi
28616
28617 rm -f core conftest.err conftest.$ac_objext \
28618 conftest$ac_exeext
28619 if test "${ac_cv_search_op_open_agent+set}" = set; then
28620 break
28621 fi
28622 done
28623 if test "${ac_cv_search_op_open_agent+set}" = set; then
28624 :
28625 else
28626 ac_cv_search_op_open_agent=no
28627 fi
28628 rm conftest.$ac_ext
28629 LIBS=$ac_func_search_save_LIBS
28630 fi
28631 { echo "$as_me:$LINENO: result: $ac_cv_search_op_open_agent" >&5
28632 echo "${ECHO_T}$ac_cv_search_op_open_agent" >&6; }
28633 ac_res=$ac_cv_search_op_open_agent
28634 if test "$ac_res" != no; then
28635 test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
28636
28637 else
28638
28639 echo "Error! You need to have libopagent around."
28640 exit -1
28641
28642 fi
28643
28644 if test "${ac_cv_header_opagent_h+set}" = set; then
28645 { echo "$as_me:$LINENO: checking for opagent.h" >&5
28646 echo $ECHO_N "checking for opagent.h... $ECHO_C" >&6; }
28647 if test "${ac_cv_header_opagent_h+set}" = set; then
28648 echo $ECHO_N "(cached) $ECHO_C" >&6
28649 fi
28650 { echo "$as_me:$LINENO: result: $ac_cv_header_opagent_h" >&5
28651 echo "${ECHO_T}$ac_cv_header_opagent_h" >&6; }
28652 else
28653 # Is the header compilable?
28654 { echo "$as_me:$LINENO: checking opagent.h usability" >&5
28655 echo $ECHO_N "checking opagent.h usability... $ECHO_C" >&6; }
28656 cat >conftest.$ac_ext <<_ACEOF
28657 /* confdefs.h. */
28658 _ACEOF
28659 cat confdefs.h >>conftest.$ac_ext
28660 cat >>conftest.$ac_ext <<_ACEOF
28661 /* end confdefs.h. */
28662 $ac_includes_default
28663 #include
28664 _ACEOF
28665 rm -f conftest.$ac_objext
28666 if { (ac_try="$ac_compile"
28667 case "(($ac_try" in
28668 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28669 *) ac_try_echo=$ac_try;;
28670 esac
28671 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28672 (eval "$ac_compile") 2>conftest.er1
28673 ac_status=$?
28674 grep -v '^ *+' conftest.er1 >conftest.err
28675 rm -f conftest.er1
28676 cat conftest.err >&5
28677 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28678 (exit $ac_status); } &&
28679 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
28680 { (case "(($ac_try" in
28681 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28682 *) ac_try_echo=$ac_try;;
28683 esac
28684 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28685 (eval "$ac_try") 2>&5
28686 ac_status=$?
28687 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28688 (exit $ac_status); }; } &&
28689 { ac_try='test -s conftest.$ac_objext'
28690 { (case "(($ac_try" in
28691 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28692 *) ac_try_echo=$ac_try;;
28693 esac
28694 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28695 (eval "$ac_try") 2>&5
28696 ac_status=$?
28697 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28698 (exit $ac_status); }; }; then
28699 ac_header_compiler=yes
28700 else
28701 echo "$as_me: failed program was:" >&5
28702 sed 's/^/| /' conftest.$ac_ext >&5
28703
28704 ac_header_compiler=no
28705 fi
28706
28707 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
28708 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
28709 echo "${ECHO_T}$ac_header_compiler" >&6; }
28710
28711 # Is the header present?
28712 { echo "$as_me:$LINENO: checking opagent.h presence" >&5
28713 echo $ECHO_N "checking opagent.h presence... $ECHO_C" >&6; }
28714 cat >conftest.$ac_ext <<_ACEOF
28715 /* confdefs.h. */
28716 _ACEOF
28717 cat confdefs.h >>conftest.$ac_ext
28718 cat >>conftest.$ac_ext <<_ACEOF
28719 /* end confdefs.h. */
28720 #include
28721 _ACEOF
28722 if { (ac_try="$ac_cpp conftest.$ac_ext"
28723 case "(($ac_try" in
28724 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28725 *) ac_try_echo=$ac_try;;
28726 esac
28727 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28728 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
28729 ac_status=$?
28730 grep -v '^ *+' conftest.er1 >conftest.err
28731 rm -f conftest.er1
28732 cat conftest.err >&5
28733 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28734 (exit $ac_status); } >/dev/null; then
28735 if test -s conftest.err; then
28736 ac_cpp_err=$ac_c_preproc_warn_flag
28737 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
28738 else
28739 ac_cpp_err=
28740 fi
28741 else
28742 ac_cpp_err=yes
28743 fi
28744 if test -z "$ac_cpp_err"; then
28745 ac_header_preproc=yes
28746 else
28747 echo "$as_me: failed program was:" >&5
28748 sed 's/^/| /' conftest.$ac_ext >&5
28749
28750 ac_header_preproc=no
28751 fi
28752
28753 rm -f conftest.err conftest.$ac_ext
28754 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
28755 echo "${ECHO_T}$ac_header_preproc" >&6; }
28756
28757 # So? What about this header?
28758 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
28759 yes:no: )
28760 { echo "$as_me:$LINENO: WARNING: opagent.h: accepted by the compiler, rejected by the preprocessor!" >&5
28761 echo "$as_me: WARNING: opagent.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
28762 { echo "$as_me:$LINENO: WARNING: opagent.h: proceeding with the compiler's result" >&5
28763 echo "$as_me: WARNING: opagent.h: proceeding with the compiler's result" >&2;}
28764 ac_header_preproc=yes
28765 ;;
28766 no:yes:* )
28767 { echo "$as_me:$LINENO: WARNING: opagent.h: present but cannot be compiled" >&5
28768 echo "$as_me: WARNING: opagent.h: present but cannot be compiled" >&2;}
28769 { echo "$as_me:$LINENO: WARNING: opagent.h: check for missing prerequisite headers?" >&5
28770 echo "$as_me: WARNING: opagent.h: check for missing prerequisite headers?" >&2;}
28771 { echo "$as_me:$LINENO: WARNING: opagent.h: see the Autoconf documentation" >&5
28772 echo "$as_me: WARNING: opagent.h: see the Autoconf documentation" >&2;}
28773 { echo "$as_me:$LINENO: WARNING: opagent.h: section \"Present But Cannot Be Compiled\"" >&5
28774 echo "$as_me: WARNING: opagent.h: section \"Present But Cannot Be Compiled\"" >&2;}
28775 { echo "$as_me:$LINENO: WARNING: opagent.h: proceeding with the preprocessor's result" >&5
28776 echo "$as_me: WARNING: opagent.h: proceeding with the preprocessor's result" >&2;}
28777 { echo "$as_me:$LINENO: WARNING: opagent.h: in the future, the compiler will take precedence" >&5
28778 echo "$as_me: WARNING: opagent.h: in the future, the compiler will take precedence" >&2;}
28779 ( cat <<\_ASBOX
28780 ## ----------------------------------- ##
28781 ## Report this to llvmbugs@cs.uiuc.edu ##
28782 ## ----------------------------------- ##
28783 _ASBOX
28784 ) | sed "s/^/$as_me: WARNING: /" >&2
28785 ;;
28786 esac
28787 { echo "$as_me:$LINENO: checking for opagent.h" >&5
28788 echo $ECHO_N "checking for opagent.h... $ECHO_C" >&6; }
28789 if test "${ac_cv_header_opagent_h+set}" = set; then
28790 echo $ECHO_N "(cached) $ECHO_C" >&6
28791 else
28792 ac_cv_header_opagent_h=$ac_header_preproc
28793 fi
28794 { echo "$as_me:$LINENO: result: $ac_cv_header_opagent_h" >&5
28795 echo "${ECHO_T}$ac_cv_header_opagent_h" >&6; }
28796
28797 fi
28798 if test $ac_cv_header_opagent_h = yes; then
28799 :
28800 else
28801
28802 echo "Error! You need to have opagent.h around."
28803 exit -1
28804
28805 fi
28806
28807
28808
28809 else
28810
28811 llvm_cv_old_LIBS="$LIBS"
28812 LIBS="$LIBS -L/usr/lib/oprofile -Wl,-rpath,/usr/lib/oprofile"
28813 { echo "$as_me:$LINENO: checking for library containing op_open_agent" >&5
28814 echo $ECHO_N "checking for library containing op_open_agent... $ECHO_C" >&6; }
28815 if test "${ac_cv_search_op_open_agent+set}" = set; then
28816 echo $ECHO_N "(cached) $ECHO_C" >&6
28817 else
28818 ac_func_search_save_LIBS=$LIBS
28819 cat >conftest.$ac_ext <<_ACEOF
28820 /* confdefs.h. */
28821 _ACEOF
28822 cat confdefs.h >>conftest.$ac_ext
28823 cat >>conftest.$ac_ext <<_ACEOF
28824 /* end confdefs.h. */
28825
28826 /* Override any GCC internal prototype to avoid an error.
28827 Use char because int might match the return type of a GCC
28828 builtin and then its argument prototype would still apply. */
28829 #ifdef __cplusplus
28830 extern "C"
28831 #endif
28832 char op_open_agent ();
28833 int
28834 main ()
28835 {
28836 return op_open_agent ();
28837 ;
28838 return 0;
28839 }
28840 _ACEOF
28841 for ac_lib in '' opagent; do
28842 if test -z "$ac_lib"; then
28843 ac_res="none required"
28844 else
28845 ac_res=-l$ac_lib
28846 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
28847 fi
28848 rm -f conftest.$ac_objext conftest$ac_exeext
28849 if { (ac_try="$ac_link"
28850 case "(($ac_try" in
28851 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28852 *) ac_try_echo=$ac_try;;
28853 esac
28854 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28855 (eval "$ac_link") 2>conftest.er1
28856 ac_status=$?
28857 grep -v '^ *+' conftest.er1 >conftest.err
28858 rm -f conftest.er1
28859 cat conftest.err >&5
28860 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28861 (exit $ac_status); } &&
28862 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
28863 { (case "(($ac_try" in
28864 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28865 *) ac_try_echo=$ac_try;;
28866 esac
28867 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28868 (eval "$ac_try") 2>&5
28869 ac_status=$?
28870 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28871 (exit $ac_status); }; } &&
28872 { ac_try='test -s conftest$ac_exeext'
28873 { (case "(($ac_try" in
28874 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28875 *) ac_try_echo=$ac_try;;
28876 esac
28877 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28878 (eval "$ac_try") 2>&5
28879 ac_status=$?
28880 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28881 (exit $ac_status); }; }; then
28882 ac_cv_search_op_open_agent=$ac_res
28883 else
28884 echo "$as_me: failed program was:" >&5
28885 sed 's/^/| /' conftest.$ac_ext >&5
28886
28887
28888 fi
28889
28890 rm -f core conftest.err conftest.$ac_objext \
28891 conftest$ac_exeext
28892 if test "${ac_cv_search_op_open_agent+set}" = set; then
28893 break
28894 fi
28895 done
28896 if test "${ac_cv_search_op_open_agent+set}" = set; then
28897 :
28898 else
28899 ac_cv_search_op_open_agent=no
28900 fi
28901 rm conftest.$ac_ext
28902 LIBS=$ac_func_search_save_LIBS
28903 fi
28904 { echo "$as_me:$LINENO: result: $ac_cv_search_op_open_agent" >&5
28905 echo "${ECHO_T}$ac_cv_search_op_open_agent" >&6; }
28906 ac_res=$ac_cv_search_op_open_agent
28907 if test "$ac_res" != no; then
28908 test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
28909 USE_OPROFILE=1
28910
28911 else
28912 LIBS="$llvm_cv_old_LIBS"
28913 USE_OPROFILE=0
28914
28915 fi
28916
28917 if test "${ac_cv_header_opagent_h+set}" = set; then
28918 { echo "$as_me:$LINENO: checking for opagent.h" >&5
28919 echo $ECHO_N "checking for opagent.h... $ECHO_C" >&6; }
28920 if test "${ac_cv_header_opagent_h+set}" = set; then
28921 echo $ECHO_N "(cached) $ECHO_C" >&6
28922 fi
28923 { echo "$as_me:$LINENO: result: $ac_cv_header_opagent_h" >&5
28924 echo "${ECHO_T}$ac_cv_header_opagent_h" >&6; }
28925 else
28926 # Is the header compilable?
28927 { echo "$as_me:$LINENO: checking opagent.h usability" >&5
28928 echo $ECHO_N "checking opagent.h usability... $ECHO_C" >&6; }
28929 cat >conftest.$ac_ext <<_ACEOF
28930 /* confdefs.h. */
28931 _ACEOF
28932 cat confdefs.h >>conftest.$ac_ext
28933 cat >>conftest.$ac_ext <<_ACEOF
28934 /* end confdefs.h. */
28935 $ac_includes_default
28936 #include
28937 _ACEOF
28938 rm -f conftest.$ac_objext
28939 if { (ac_try="$ac_compile"
28940 case "(($ac_try" in
28941 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28942 *) ac_try_echo=$ac_try;;
28943 esac
28944 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28945 (eval "$ac_compile") 2>conftest.er1
28946 ac_status=$?
28947 grep -v '^ *+' conftest.er1 >conftest.err
28948 rm -f conftest.er1
28949 cat conftest.err >&5
28950 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28951 (exit $ac_status); } &&
28952 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
28953 { (case "(($ac_try" in
28954 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28955 *) ac_try_echo=$ac_try;;
28956 esac
28957 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28958 (eval "$ac_try") 2>&5
28959 ac_status=$?
28960 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28961 (exit $ac_status); }; } &&
28962 { ac_try='test -s conftest.$ac_objext'
28963 { (case "(($ac_try" in
28964 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28965 *) ac_try_echo=$ac_try;;
28966 esac
28967 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
28968 (eval "$ac_try") 2>&5
28969 ac_status=$?
28970 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28971 (exit $ac_status); }; }; then
28972 ac_header_compiler=yes
28973 else
28974 echo "$as_me: failed program was:" >&5
28975 sed 's/^/| /' conftest.$ac_ext >&5
28976
28977 ac_header_compiler=no
28978 fi
28979
28980 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
28981 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
28982 echo "${ECHO_T}$ac_header_compiler" >&6; }
28983
28984 # Is the header present?
28985 { echo "$as_me:$LINENO: checking opagent.h presence" >&5
28986 echo $ECHO_N "checking opagent.h presence... $ECHO_C" >&6; }
28987 cat >conftest.$ac_ext <<_ACEOF
28988 /* confdefs.h. */
28989 _ACEOF
28990 cat confdefs.h >>conftest.$ac_ext
28991 cat >>conftest.$ac_ext <<_ACEOF
28992 /* end confdefs.h. */
28993 #include
28994 _ACEOF
28995 if { (ac_try="$ac_cpp conftest.$ac_ext"
28996 case "(($ac_try" in
28997 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
28998 *) ac_try_echo=$ac_try;;
28999 esac
29000 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
29001 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
29002 ac_status=$?
29003 grep -v '^ *+' conftest.er1 >conftest.err
29004 rm -f conftest.er1
29005 cat conftest.err >&5
29006 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29007 (exit $ac_status); } >/dev/null; then
29008 if test -s conftest.err; then
29009 ac_cpp_err=$ac_c_preproc_warn_flag
29010 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
29011 else
29012 ac_cpp_err=
29013 fi
29014 else
29015 ac_cpp_err=yes
29016 fi
29017 if test -z "$ac_cpp_err"; then
29018 ac_header_preproc=yes
29019 else
29020 echo "$as_me: failed program was:" >&5
29021 sed 's/^/| /' conftest.$ac_ext >&5
29022
29023 ac_header_preproc=no
29024 fi
29025
29026 rm -f conftest.err conftest.$ac_ext
29027 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
29028 echo "${ECHO_T}$ac_header_preproc" >&6; }
29029
29030 # So? What about this header?
29031 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
29032 yes:no: )
29033 { echo "$as_me:$LINENO: WARNING: opagent.h: accepted by the compiler, rejected by the preprocessor!" >&5
29034 echo "$as_me: WARNING: opagent.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
29035 { echo "$as_me:$LINENO: WARNING: opagent.h: proceeding with the compiler's result" >&5
29036 echo "$as_me: WARNING: opagent.h: proceeding with the compiler's result" >&2;}
29037 ac_header_preproc=yes
29038 ;;
29039 no:yes:* )
29040 { echo "$as_me:$LINENO: WARNING: opagent.h: present but cannot be compiled" >&5
29041 echo "$as_me: WARNING: opagent.h: present but cannot be compiled" >&2;}
29042 { echo "$as_me:$LINENO: WARNING: opagent.h: check for missing prerequisite headers?" >&5
29043 echo "$as_me: WARNING: opagent.h: check for missing prerequisite headers?" >&2;}
29044 { echo "$as_me:$LINENO: WARNING: opagent.h: see the Autoconf documentation" >&5
29045 echo "$as_me: WARNING: opagent.h: see the Autoconf documentation" >&2;}
29046 { echo "$as_me:$LINENO: WARNING: opagent.h: section \"Present But Cannot Be Compiled\"" >&5
29047 echo "$as_me: WARNING: opagent.h: section \"Present But Cannot Be Compiled\"" >&2;}
29048 { echo "$as_me:$LINENO: WARNING: opagent.h: proceeding with the preprocessor's result" >&5
29049 echo "$as_me: WARNING: opagent.h: proceeding with the preprocessor's result" >&2;}
29050 { echo "$as_me:$LINENO: WARNING: opagent.h: in the future, the compiler will take precedence" >&5
29051 echo "$as_me: WARNING: opagent.h: in the future, the compiler will take precedence" >&2;}
29052 ( cat <<\_ASBOX
29053 ## ----------------------------------- ##
29054 ## Report this to llvmbugs@cs.uiuc.edu ##
29055 ## ----------------------------------- ##
29056 _ASBOX
29057 ) | sed "s/^/$as_me: WARNING: /" >&2
29058 ;;
29059 esac
29060 { echo "$as_me:$LINENO: checking for opagent.h" >&5
29061 echo $ECHO_N "checking for opagent.h... $ECHO_C" >&6; }
29062 if test "${ac_cv_header_opagent_h+set}" = set; then
29063 echo $ECHO_N "(cached) $ECHO_C" >&6
29064 else
29065 ac_cv_header_opagent_h=$ac_header_preproc
29066 fi
29067 { echo "$as_me:$LINENO: result: $ac_cv_header_opagent_h" >&5
29068 echo "${ECHO_T}$ac_cv_header_opagent_h" >&6; }
29069
29070 fi
29071 if test $ac_cv_header_opagent_h = yes; then
29072 :
29073 else
29074
29075 LIBS="$llvm_cv_old_LIBS"
29076 USE_OPROFILE=0
29077
29078
29079 fi
29080
29081
29082
29083 fi
29084
29085
29086 cat >>confdefs.h <<_ACEOF
29087 #define USE_OPROFILE $USE_OPROFILE
2852229088 _ACEOF
2852329089
2852429090
3565236218 LLVMGCC!$LLVMGCC$ac_delim
3565336219 LLVMGXX!$LLVMGXX$ac_delim
3565436220 USE_UDIS86!$USE_UDIS86$ac_delim
36221 USE_OPROFILE!$USE_OPROFILE$ac_delim
3565536222 HAVE_PTHREAD!$HAVE_PTHREAD$ac_delim
3565636223 HUGE_VAL_SANITY!$HUGE_VAL_SANITY$ac_delim
3565736224 ALLOCA!$ALLOCA$ac_delim
3568436251 LTLIBOBJS!$LTLIBOBJS$ac_delim
3568536252 _ACEOF
3568636253
35687 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 87; then
36254 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
3568836255 break
3568936256 elif $ac_last_try; then
3569036257 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
591591 /* Define to 1 if your declares `struct tm'. */
592592 #undef TM_IN_SYS_TIME
593593
594 /* Define if we have the oprofile JIT-support library */
595 #undef USE_OPROFILE
596
594597 /* Define if use udis86 library */
595598 #undef USE_UDIS86
596599